comedi_arm_channel
Prev | 5.4.6. Extensions | Next

## Name

comedi_arm_channel — arm a subdevice channel

## Synopsis

    #include <comedilib.h>

`int comedi_arm_channel(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel,
| unsigned int source`)`;

## Status

alpha

## Description

This function arms a specified channel of a subdevice. It may, for example, arm a counter to begin counting. The `source` parameter specifies what source should trigger the subdevice to begin. The possible sources are driver-dependant. This function is only useable on subdevices that provide support for the `INSN_CONFIG_ARM` configuration instruction. Some subdevices treat this as an instruction to arm the whole subdevice and ignore the specified channel. For such subdevices, `comedi_arm` is normally called instead.

## Return value

`0` on success, `-1` on error.

Prev | Up | Next
comedi_arm | Home | comedi_digital_trigger_disable